Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQHideEvent Class Reference

The TQHideEvent class provides an event which is sent after a widget is hidden. More...

`#include <ntqevent.h>`

Inherits TQEvent.

List of all member functions.

## Public Members

- TQHideEvent ()

## Detailed Description

The TQHideEvent class provides an event which is sent after a widget is hidden.

This event is sent just before TQWidget::hide() returns, and also when a top-level window has been hidden (iconified) by the user.

If spontaneous() is TRUE the event originated outside the application, i.e. the user hid the window using the window manager controls, either by iconifying the window or by switching to another virtual desktop where the window isn't visible. The window will become hidden but not withdrawn. If the window was iconified, TQWidget::isMinimized() returns TRUE.

See also TQShowEvent and Event Classes.

## Member Function Documentation

### TQHideEvent::TQHideEvent ()

Constructs a TQHideEvent.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.